# Stable Kernel Patches Review Status
Please list your name and review result below the patch item

  * UR:  Under Review
  * ACK: Acknowledge (if the patch is accepted)
  * TBB: To be backported (if other patches should be also backported)
  * NAK: Negative acknowledge (if the patch is rejected, please list the reason)
  * IGN: Patch was not reviewed as it is out of scope for CIP project


## v5.10.127
  - deb587b1a48d Linux 5.10.127
  - 1cca46c20541 powerpc/pseries: wire up rng during setup_arch()
  ACK: pavel
  - 95d73d510b8a kbuild: link vmlinux only once for CONFIG_TRIM_UNUSED_KSYMS (2nd attempt)
  ACK: pavel -- just a build performance fix
  - feb5ab798698 random: update comment from copy_to_user() -> copy_to_iter()
  ACK: pavel -- just a comment fix
  - 959bbaf5b7a9 modpost: fix section mismatch check for exported init/exit sections
  ACK: pavel
  - c980392af147 ARM: cns3xxx: Fix refcount leak in cns3xxx_init
  ACK: pavel
  - 889aad2203e0 memory: samsung: exynos5422-dmc: Fix refcount leak in of_get_dram_timings
  UR: pavel -- c/e
  - 44a5b3a073e5 ARM: Fix refcount leak in axxia_boot_secondary
  ACK: pavel
  - 30bbfeb480ae soc: bcm: brcmstb: pm: pm-arm: Fix refcount leak in brcmstb_pm_probe
  ACK: pavel
  - 68f28d52e6cb ARM: exynos: Fix refcount leak in exynos_map_pmu
  ACK: pavel
  - 59fdf108144c ARM: dts: imx6qdl: correct PU regulator ramp delay
  ACK: pavel
  - fb70bd86751a ARM: dts: imx7: Move hsic_phy power domain to HSIC PHY node
  ACK: pavel
  - f78acc4288ed powerpc/powernv: wire up rng during setup_arch
  ACK: pavel
  - 7db1ba660b07 powerpc/rtas: Allow ibm,platform-dump RTAS call with null buffer address
  UR: pavel -- check, should goto err?
  - 1f5a9205a3be powerpc: Enable execve syscall exit tracepoint
  ACK: pavel
  - ca144919afd4 parisc: Enable ARCH_HAS_STRICT_MODULE_RWX
  UR: pavel --! really?
  - a1c902349ad5 parisc/stifb: Fix fb_is_primary_device() only available with CONFIG_FB_STI
  ACK: pavel
  - af0ff2da0152 xtensa: Fix refcount leak bug in time.c
  ACK: pavel
  - 6c0839cf1b9e xtensa: xtfpga: Fix refcount leak bug in setup
  ACK: pavel
  - 501652a2ad54 iio: adc: adi-axi-adc: Fix refcount leak in adi_axi_adc_attach_client
  ACK: pavel
  - d40514d4403a iio: adc: axp288: Override TS pin bias current for some models
  ACK: pavel
  - d579c893dd6c iio: adc: stm32: Fix IRQs on STM32F4 by removing custom spurious IRQs message
  ACK: pavel -- removes functionality w/o fixing it
  - 62284d45e26d iio: adc: stm32: Fix ADCs iteration in irq handler
  ACK: pavel
  - e3ebb9d16ce1 iio: imu: inv_icm42600: Fix broken icm42600 (chip id 0 value)
  ACK: pavel
  - 3e0af68b99b8 iio: adc: stm32: fix maximum clock rate for stm32mp15x
  ACK: pavel
  - b07a30a774b3 iio: trigger: sysfs: fix use-after-free on remove
  ACK: pavel
  - 399788e819a1 iio: gyro: mpu3050: Fix the error handling in mpu3050_power_up()
  ACK: pavel
  - c1ec7d52a218 iio: accel: mma8452: ignore the return value of reset operation
  ACK: pavel
  - 42caf44906d6 iio:accel:mxc4005: rearrange iio trigger get and register
  ACK: pavel
  - e26dcf627971 iio:accel:bma180: rearrange iio trigger get and register
  ACK: pavel
  - f26379e19958 iio:chemical:ccs811: rearrange iio trigger get and register
  ACK: pavel
  - 4b6cdcff7cb8 f2fs: attach inline_data after setting compression
  ACK: pavel
  - 2d7bdb6a5a37 usb: chipidea: udc: check request status before setting device address
  ACK: pavel
  - 656eca37aae1 USB: gadget: Fix double-free bug in raw_gadget driver
  ACK: pavel
  - 54604108be64 usb: gadget: Fix non-unique driver names in raw-gadget driver
  UR: pavel -- buggy, fixed by the next patch
  - d87dec22fdf5 xhci-pci: Allow host runtime PM as default for Intel Meteor Lake xHCI
  ACK: pavel
  - 114080d04ae4 xhci-pci: Allow host runtime PM as default for Intel Raptor Lake xHCI
  ACK: pavel
  - b8142a84657e xhci: turn off port power in shutdown
  UR: pavel -- someone just lost their charging capability... not a fix for serious bug
  - 116c3e81b053 usb: typec: wcove: Drop wrong dependency to INTEL_SOC_PMIC
  ACK: pavel -- just a Kconfig tweak
  - a547662534ca iio: adc: vf610: fix conversion mode sysfs node name
  ACK: pavel -- just a documentation fix
  - 58c3a27e9c23 iio: mma8452: fix probe fail when device tree compatible is used.
  ACK: pavel
  - 5ee016f6120a s390/cpumf: Handle events cycles and instructions identical
  IGN: pavel
  - abe487a88a5d gpio: winbond: Fix error code in winbond_gpio_get()
  ACK: pavel
  - 30531e0d7b5d nvme: move the Samsung X5 quirk entry to the core quirks
  ACK: pavel -- just a performance tweak
  - 169f7d770552 nvme-pci: add NO APST quirk for Kioxia device
  ACK: pavel
  - 938f594266a6 nvme-pci: allocate nvme_command within driver pdu
  UR: pavel -- cleanup, not a bugfix
  - ba388d4e9a68 nvme: don't check nvme_req flags for new req
  ACK: pavel -- just a performance tweak
  - e7ccaa1abacf nvme: mark nvme_setup_passsthru() inline
  ACK: pavel -- just a performance tweak
  - 3ee62a1f0701 nvme: split nvme_alloc_request()
  - fe06c692cd7e nvme: centralize setting the timeout in nvme_alloc_request
  ACK: pavel -- just a preparation
  - afbc954e7896 Revert "net/tls: fix tls_sk_proto_close executed repeatedly"
  UR: pavel --! just reverts patch above
  - 340fbdc8011f virtio_net: fix xdp_rxq_info bug after suspend/resume
  UR: pavel --! check, c/e; error handling is probably wrong as it does not free memory?
  - 3bccf82169c5 igb: Make DMA faster when CPU is active on the PCIe link
  ACK: pavel
  - 7d7450363fdf regmap-irq: Fix a bug in regmap_irq_enable() for type_in_mask chips
  ACK: pavel -- not a minimum fix
  - 40b3815b2c90 ice: ethtool: advertise 1000M speeds properly
  ACK: pavel
  - 7b564e3254b7 afs: Fix dynamic root getattr
  ACK: pavel
  - 3c22192db06e MIPS: Remove repetitive increase irq_err_count
  ACK: pavel
  - cc649a78654a x86/xen: Remove undefined behavior in setup_features()
  ACK: pavel -- just a theoretical bug
  - b60c375ad140 selftests: netfilter: correct PKTGEN_SCRIPT_PATHS in nft_concat_range.sh
  ACK: pavel
  - 20119c1e0fff udmabuf: add back sanity check
  UR: pavel -- check we have it in 4.19 and older? security?
  - e82376b63247 net/tls: fix tls_sk_proto_close executed repeatedly
  UR: pavel --! wtf? reverted?
  - cec9867ee554 erspan: do not assume transport header is always set
  ACK: pavel
  - acf76125bb2b drm/msm/dp: fix connect/disconnect handled at irq_hpd
  ACK: pavel -- not a minimum fix
  - 61f8f4034c04 drm/msm/dp: promote irq_hpd handle to handle link training correctly
  ACK: pavel -- codingstyle could be improved
  - d11cb082151f drm/msm/dp: deinitialize mainlink if link training failed
  UR: pavel -- c/e
  - 3d67cb00cbbb drm/msm/dp: fixes wrong connection state caused by failure of link train
  UR: pavel -- not a minimum fix, c/e
  - efb2b6916050 drm/msm/dp: check core_initialized before disable interrupts at dp_display_unbind()
  ACK: pavel
  - d16a4339825e drm/msm/mdp4: Fix refcount leak in mdp4_modeset_init_intf
  ACK: pavel
  - 363fd6e34618 net/sched: sch_netem: Fix arithmetic in netem_dump() for 32-bit platforms
  ACK: pavel
  - 2e3216b929bb bonding: ARP monitor spams NETDEV_NOTIFY_PEERS notifiers
  ACK: pavel
  - c12a2c9b1b46 igb: fix a use-after-free issue in igb_clean_tx_ring
  ACK: pavel
  - 361c5521c1e4 tipc: fix use-after-free Read in tipc_named_reinit
  ACK: pavel
  - f299d3fbe431 tipc: simplify the finalize work queue
  UR: pavel -- just an cleanup/optimalization. Unsuitable?
  - ab7f565ac705 phy: aquantia: Fix AN when higher speeds than 1G are not advertised
  ACK: pavel
  - a51c199e4d2b bpf, x86: Fix tail call count offset calculation on bpf2bpf call
  ACK: pavel
  - 4ae116428e81 drm/sun4i: Fix crash during suspend after component bind failure
  ACK: pavel
  - 516760f1d297 bpf: Fix request_sock leak in sk lookup helpers
  ACK: pavel
  - 505a375eea11 drm/msm: use for_each_sgtable_sg to iterate over scatterlist
  ACK: pavel
  - 10eb239e2935 scsi: scsi_debug: Fix zone transition to full condition
  ACK: pavel
  - 15cc30ac2a8d netfilter: use get_random_u32 instead of prandom
  ACK: pavel
  - 95f80c88436f netfilter: nftables: add nft_parse_register_store() and use it
  UR: pavel -- long! just a preparation
  - ec9b0a8d307e netfilter: nftables: add nft_parse_register_load() and use it
  UR: pavel -- long! just a preparation
  - 8adedb4711dc drm/msm: Fix double pm_runtime_disable() call
  UR: pavel
  - 8682335375bd USB: serial: option: add Quectel RM500K module support
  ACK: pavel
  - 9e6e063e548b USB: serial: option: add Quectel EM05-G modem
  ACK: pavel
  - 0b3006a862fb USB: serial: option: add Telit LE910Cx 0x1250 composition
  ACK: pavel
  - f6a266e0dc6f dm mirror log: clear log bits up to BITS_PER_LONG boundary
  ACK: pavel
  - 03d1874b8295 dm era: commit metadata in postsuspend after worker stops
  ACK: pavel -- error handling could be improved
  - 273106c2df43 ata: libata: add qc->flags in ata_qc_complete_template tracepoint
  ACK: pavel -- just a tracepoint tweak
  - 156427b3123c mtd: rawnand: gpmi: Fix setting busy timeout setting
  ACK: pavel
  - 07e56884cd95 mmc: sdhci-pci-o2micro: Fix card detect by dealing with debouncing
  ACK: pavel
  - 0ae82e1ccb66 btrfs: add error messages to all unrecognized mount options
  ACK: pavel -- just a printk tweak
  - 49e3e449bc4e net: openvswitch: fix parsing of nw_proto for IPv6 fragments
  ACK: pavel -- just an API tweak
  - 1508658aec4e ALSA: hda/realtek: Add quirk for Clevo NS50PU
  ACK: pavel
  - 6e8e5031592d ALSA: hda/realtek: Add quirk for Clevo PD70PNT
  ACK: pavel
  - 80307458a1ee ALSA: hda/realtek: Apply fixup for Lenovo Yoga Duet 7 properly
  ACK: pavel -- quite complex for new hw support
  - 7fcbc89d4722 ALSA: hda/realtek - ALC897 headset MIC no sound
  ACK: pavel
  - f5ea433d56d4 ALSA: hda/realtek: Add mute LED quirk for HP Omen laptop
  ACK: pavel
  - 64373290601f ALSA: hda/conexant: Fix missing beep setup
  ACK: pavel
  - 12a6be5d11d0 ALSA: hda/via: Fix missing beep setup
  ACK: pavel
  - 5e80f923b8dd random: quiet urandom warning ratelimit suppression message
  ACK: pavel -- just a printk tweak
  - 310ebbd9f5cd random: schedule mix_interrupt_randomness() less often
  ACK: pavel -- just a performance tweak
  - 3acb7dc242ca vt: drop old FONT ioctls
  UR: pavel -- just a feature removal
